SDL_randf_r(3)

NAME
SDL_randf_r - Generate a uniform pseudo-random floating point number less than 1.0

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

float SDL_randf_r(Uint64 *state);

DESCRIPTION
If you want reproducible output, be sure to initialize with SDL_srand() first.

There are no guarantees as to the quality of the random sequence produced, and this should not be used for security (cryptography, passwords) or where money is on the line (loot-boxes, casinos). There are many random number libraries available with different characteristics and you should pick one of those to meet any serious needs.

FUNCTION PARAMETERS

state
    a pointer to the current random number state, this may not be NULL.

RETURN VALUE
Returns a random value in the range of [0.0, 1.0).

THREAD SAFETY
This function is thread-safe, as long as the state pointer isn't shared between threads.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_rand_bits_r(3), SDL_rand_r(3), SDL_randf(3)